{% extends "car_collection/__base.html" %}

{% load static %}

{% block content %}
<div class="card shadow">
  <div class="card-header">
    <div class="row">
      <div class="col-6">
        Mes voitures ({{ page_obj.paginator.count }} voitures) ({{nb_models}} modèles différents sur {{nb_models_total}} au total)
      </div>
    </div>
  </div>
  <div class="card-body">
    <table class="table align-middle">
      <thead class="thead-light">
        <tr>
          <th scope="col">Modèle
            <a href="{% url 'my_cars' %}?order=-model__name"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'my_cars' %}?order=model__name"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
          <th scope="col">Nombre</th>
          <th scope="col">Image</th>
          <th scope="col">Rang
            <a href="{% url 'my_cars' %}?order=-model__rank"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'my_cars' %}?order=model__rank"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
          <th scope="col">Prix
            <a href="{% url 'my_cars' %}?order=-model__price"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-down-symbolic.svg' %}" /></a>
            <a href="{% url 'my_cars' %}?order=model__price"><img src="{% static 'car_collection/adwaita_scalable/ui/pan-up-symbolic.svg' %}" /></a>
          </th>
        </tr>
      </thead>
      <tbody>
        {% for ownedcar in ownedcar_list %}
        <tr>
          <td>
            <a href="{% url 'my_cars_detail' ownedcar.id %}">
              {{ ownedcar.model.name }}
            </a>
          </td>
          <td>{{ ownedcar.number }}</td>
          <td><img src="{{ ownedcar.model.picture.url }}" height="60"/></td>
          <td><img style="max-width:60px" src="{% static ownedcar.model.rank_url %}"/></td>
          <td>{{ ownedcar.model.price }}</td>
          <td>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'my_cars_delete' ownedcar.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/places/user-trash-symbolic.svg' %}" title="Delete" />
            </a>
          </td>
      </tr>
        {% endfor %}
      </tbody>
    </table>
    {% if is_paginated %}
      {% include "car_collection/_pagination.html" %}
    {% endif %}
  </div>
  <div class="card-footer">
    <div class="row">
      <div class="col-6">
        <input type="submit" name="valid" value="Confirmer" class="btn btn-primary" />
      </div>
      <div class="col">
        <a href="{% url 'my_cars' %}?view=table">Voir en table</a>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript" >
  function toggle_all(source) {
      checkboxes = document.getElementsByClassName("cars_check");
      for (var i = 0,
          n = checkboxes.length; i < n; i++) {
          checkboxes[i].checked = source.checked;
      }
  }
</script>
{% endblock %}
